REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Build the application.
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR Jama
MKDIR Jama\util

MKDIR cmn
MKDIR gui
MKDIR plot
MKDIR util

MKDIR grid
MKDIR grid\gui
MKDIR grid\io

MKDIR brine
MKDIR brine\gui
MKDIR brine\io
MKDIR brine\math

MKDIR iqstrat
MKDIR iqstrat\io

MKDIR kgs
MKDIR kgs\gui
MKDIR kgs\io

MKDIR las

MKDIR las3

MKDIR pc
MKDIR pc\gui
MKDIR pc\io
MKDIR pc\plot

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .

COPY src\Jama\*.java Jama
COPY src\Jama\util\*.java Jama\util

COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\plot\*.java plot
COPY src\util\*.java util

COPY src\grid\*.java grid
COPY src\grid\gui\*.java grid\gui
COPY src\grid\io\*.java grid\io

COPY src\brine\*.java brine
COPY src\brine\gui\*.java brine\gui
COPY src\brine\io\*.java brine\io
COPY src\brine\math\*.java brine\math

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\kgs\*.java kgs
COPY src\kgs\gui\*.java kgs\gui
COPY src\kgs\io\*.java kgs\io

COPY src\las\*.java las

COPY src\las3\*.java las3

COPY src\pc\*.java pc
COPY src\pc\gui\*.java pc\gui
COPY src\pc\io\*.java pc\io
COPY src\pc\plot\*.java pc\plot

REM ------------------------------------------------------------
REM COMPILE Gridding and Mapping Module
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation PC.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java

DEL Jama\*.java
DEL Jama\util\*.java

DEL cmn\*.java
DEL gui\*.java
DEL plot\*.java
DEL util\*.java

DEL grid\*.java
DEL grid\gui\*.java
DEL grid\io\*.java

DEL brine\*.java
DEL brine\gui\*.java
DEL brine\io\*.java
DEL brine\math\*.java

DEL iqstrat\*.java
DEL iqstrat\io\*.java

DEL kgs\*.java
DEL kgs\gui\*.java
DEL kgs\io\*.java

DEL las\*.java

DEL las3\*.java

DEL pc\*.java
DEL pc\gui\*.java
DEL pc\io\*.java
DEL pc\plot\*.java

REM ------------------------------------------------------------
REM REMOVE the old Gridding and Mapping Module Jar File
REM BUILD JAR File for the Gridding and Mapping Module
REM ------------------------------------------------------------

DEL PC.txt

C:\jdk1.7.0_25\bin\jar cvfm PC.jar Manifest.txt *.class Jama cmn gui plot util grid brine iqstrat kgs las las3 pc images
C:\jdk1.7.0_25\bin\jar tvf PC.jar > PC.txt

MOVE PC.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL Jama /q
DEL Jama\util /q

DEL cmn /q
DEL gui /q
DEL plot /q
DEL util /q

DEL grid /q
DEL grid\gui /q
DEL grid\io /q

DEL brine /q
DEL brine\gui /q
DEL brine\io /q
DEL brine\math /q

DEL iqstrat /q
DEL iqstrat\io /q

DEL kgs /q
DEL kgs\gui /q
DEL kgs\io /q

DEL las /q

DEL las3 /q

DEL pc /q
DEL pc\gui /q
DEL pc\io /q
DEL pc\plot /q

RMDIR Jama\util
RMDIR Jama

RMDIR cmn
RMDIR gui
RMDIR plot
RMDIR util

RMDIR grid\gui
RMDIR grid\io
RMDIR grid

RMDIR brine\gui
RMDIR brine\io
RMDIR brine\math
RMDIR brine

RMDIR iqstrat\io
RMDIR iqstrat

RMDIR kgs\gui
RMDIR kgs\io
RMDIR kgs

RMDIR las

RMDIR las3

RMDIR pc\gui
RMDIR pc\io
RMDIR pc\plot
RMDIR pc

DEL *.class
