/*
 * @brineColumnsStruct.java Version 1.1 06/02/2011
 *
 * Copyright (c) 2011 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package brine;

/** CLASS brineColumnsStruct
 *  <p> This Class holds the Brine Data Column Information.
 *
 *  @version 1.1 06/02/2011
 *  @author  John R. Victorine
 */

public class brineColumnsStruct
{
  public String sMnemonic = "";  // Mnemonic of the Column Name
  public String sName     = "";  // Text Name of the Column
  public String sUnit     = "";  // Units of the Column
  public String sKEY      = "";  // Type of Column Key

  /** Method delete()
   * <p> This method will force set the Objects to null and force Java to
   *     free unwanted memory
   */

  public void delete()
  {
    sMnemonic = null;  // Mnemonic of the Column Name
    sName     = null;  // Text Name of the Column
    sUnit     = null;  // Units of the Column
    sKEY      = null;  // Type of Column Key
  }
}
