/*
 * @kgsMeasSectDataStruct.java Version 1.0 09/27/2009
 *
 * Copyright (c) 2009 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package kgs;

/** CLASS kgsMeasSectDataStruct
 *  <p> This Structure holds the measured section data for individual bed
 *
 *  @version 1.1 09/27/2009
 *  @author  John R. Victorine
 */

public class kgsMeasSectDataStruct
{
  public String sKEY         = new String("0");  // Primary Key of Data
  public String sOrder       = new String("");   // Unit Order
  public String sUnitNo      = new String("");   // Unit Number

  public String sDescription = new String("");   // Description

  public double dThickness   = 0.0;              // Bed Thickness
  public String sUnits       = new String("");   // Thickness Units

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    sKEY         = null;  // Primary Key of Data
    sOrder       = null;  // Unit Order
    sUnitNo      = null;  // Unit Number
    sDescription = null;  // Description
    sUnits       = null;  // Thickness Units
  }
}
