/*
 * @pcIO.java Version 1.0 11/04/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package pc.io;

import java.io.*;
import java.awt.*;
import javax.swing.*;

/** Class pcIO
 *  <p> This class will manage the User Login Data
 *
 *  @version 1.1 11/04/2015
 *  @author  John R. Victorine
 */

public class pcIO
{
  /** Method getHomeDir()
   * <p> This method will retrieve the User's Home Directory
   * @return sDirectory = The User Home Directory
   */

  public static String getHomeDir()
  {
    String sDir = "";    // User Home Directory
    File   pDir = null;  // User Home Directory File Object

    try
    {
      pDir = new File( System.getProperty( "user.home" ) );
      sDir = new String( pDir.getCanonicalPath() );
    }
    catch (Exception e)
    {
      e.printStackTrace();
      String sError = new String("pcIO.getHomeDir()\n "+e.toString());
      JOptionPane.showMessageDialog(
        (Component) null, sError, "ERROR", JOptionPane.ERROR_MESSAGE);
    }

    return (sDir);
  }
}

/*
 *  @version 1.1 11/04/2015
 *  @author  John Victorine
 */
