/*
 * @pcDataStruct.java Version 1.1 10/15/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package pc;

import java.net.*;
import java.awt.*;
import java.applet.*;

/** Class pcDataStruct
 *  <p> This Class holds the Brine Matrix Data for processing.
 *
 *  @version 1.1 10/15/2015
 *  @author  John R. Victorine
 */

public class pcDataStruct
{
  public int    iRows       = 0;    // Total number of Wells in this dataset
  public int    iColumns    = 0;    // Total number of Anions & Cations Columns in this dataset

  public int    iBrine[][]  = null; // Array mapping Columns [BRINE] (X) to Brine Standard Tools ID [TOOLS]

  public String sData[][]   = null; // Array of identifiers to map Wells to data   [WELL]
  public double data[][]    = null; // Array of Brine data selected for processing [WELL] X [BRINE]

  public double dAdjust[][] = null; // Array of Adjusted Brine data [WELL] X [BRINE]

  public double dataM[]     = null; // Array of Means of the Anions & Cations Columns [BRINE]
  public double dSD[]       = null; // Array of Standard Deviation [Brine]

  public double dAnions[]   = null; // Array of Sum of Anions by Well
  public double dCations[]  = null; // Array of Sum of Cations by Well

  // Ratio is Anion/Cation
  // -- Anion negative ions    54 to 90
  // -- Cations positive ions  14 to 53

  /** Method delete()
   * <p> This method is used to deallocate memory to force Java to clear allocated memory
   */

  public void delete()
  {
    iRows    = 0;    // Total number of Wells in this dataset
    iColumns = 0;    // Total number of Anions & Cations Columns in this dataset

    iBrine   = null; // Array mapping Columns [BRINE] (X) to Brine Standard Tools ID [TOOLS]

    sData    = null; // Array of identifiers to map Wells to data
    data     = null; // Array of Brine data selected for processing

    dAdjust  = null; // Array of Adjusted Brine data [WELL] X [BRINE]

    dataM    = null; // Array of Means of the Anions & Cations Columns
    dSD      = null; // Array of Standard Deviation [Brine]

    dAnions  = null; // Array of Sum of Anions by Well
    dCations = null; // Array of Sum of Cations by Well
  }
}

/*
 *  @version 1.1 10/15/2015
 *  @author  John Victorine
 */
