/*
 * @pcPlotConstants.java Version 1.1 11/20/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package pc;

/** Class pcPlotConstants
 *  <p> This class will hold the Constants for the data plot classes
 *
 *  @version 1.1 11/20/2015
 *  @author  John R. Victorine
 */

public class pcPlotConstants
{
  // Symbols Types

  public static final int OVAL      = plot.plotSymbolStruct.OVAL;
  public static final int RECTANGLE = plot.plotSymbolStruct.RECTANGLE;
  public static final int TRIANGLE  = plot.plotSymbolStruct.TRIANGLE;
  public static final int DIAMOND   = plot.plotSymbolStruct.DIAMOND;
  public static final int DELTA     = plot.plotSymbolStruct.DELTA;
  public static final int MAXIMUM   = 5;

  // Colors

  public static final int _RED             =  0; // "red"

  public static final int _BROWN           =  1; // "brown"
  public static final int _SIENNA          =  2; // "sienna"
  public static final int _BURLYWOOD       =  3; // "burlywood"
  public static final int _TAN             =  4; // "tan"

  public static final int _SALMON          =  5; // "salmon"
  public static final int _ORANGE_RED_1    =  6; // "orange red 1"
  public static final int _DARK_ORANGE     =  7; // "dark orange"
  public static final int _ORANGE          =  8; // "orange"

  public static final int _MIDDLE_YELLOW   =  9; // "middle yellow"
  public static final int _DARKER_YELLOW   = 10; // "darker yellow"
  public static final int _YELLOW          = 11; // "yellow"

  public static final int _GREEN_YELLOW    = 12; // "green yellow"
  public static final int _YELLOW_GREEN    = 13; // "yellow green"
  public static final int _PALE_GREEN      = 14; // "pale green 1"
  public static final int _LIGHT_GREEN     = 15; // "light green"
  public static final int _GREEN           = 16; // "green"
  public static final int _LAWN_GREEN      = 17; // "lawn green"
  public static final int _FOREST_GREEN    = 18; // "forest green"
  public static final int _OLIVE_DRAB      = 19; // "olive drab"

  public static final int _TURQUOISE       = 20; // "turquoise"
  public static final int _AQUAMARINE_1    = 21; // "aquamarine 1"
  public static final int _AQUAMARINE_3    = 22; // "aquamarine 3"
  public static final int _AQUAMARINE_4    = 23; // "aquamarine 4"
  public static final int _MIDDLE_CYAN     = 24; // "middle cyan"
  public static final int _CYAN            = 25; // "cyan"

  public static final int _SKY_BLUE        = 26; // "sky blue"
  public static final int _DEEP_SKY_BLUE_1 = 27; // "deep sky blue 1"
  public static final int _DEEP_SKY_BLUE_2 = 28; // "deep sky blue 2"
  public static final int _MIDDLE_BLUE     = 29; // "middle blue"
  public static final int _ROYAL_BLUE      = 30; // "royal blue"
  public static final int _BLUE            = 31; // "blue"

  public static final int _LIGHT_PINK      = 32; // "light pink"
  public static final int _HOT_PINK        = 33; // "hot pink"
  public static final int _DEEP_PINK       = 34; // "deep pink"

  public static final int _LIGHT_MAGENTA   = 35; // "light magenta"
  public static final int _MAGENTA         = 36; // "magenta"
  public static final int _VIOLET          = 37; // "violet"
  public static final int _DARK_VIOLET     = 38; // "dark violet"

  public static final int _GREY_90         = 39; // "grey 90"
  public static final int _GREY            = 40; // "grey"
  public static final int _GREY_50         = 41; // "grey 50"
  public static final int _BLACK           = 42; // "black"

  public static final int TOTAL            = 43;

  public static final int COLORS[][] =
  {
    { 255,   0,   0 }, // "red"
    { 165,  42,  42 }, // "brown"
    { 160,  82,  45 }, // "sienna"
    { 222, 184, 135 }, // "burlywood"
    { 210, 180, 140 }, // "tan"
    { 250, 128, 114 }, // "salmon"
    { 255,  69,   0 }, // "orange red 1"
    { 255, 140,   0 }, // "dark orange"
    { 255, 165,   0 }, // "orange"
    { 255, 255, 128 }, // "middle yellow"

    { 255, 225,  25 }, // "darker yellow"
    { 255, 255,   0 }, // "yellow"
    { 173, 255,  47 }, // "green yellow"
    { 154, 205,  50 }, // "yellow green"
    { 154, 255, 154 }, // "pale green 1"
    { 128, 255, 128 }, // "light green"
    {   0, 255,   0 }, // "green"
    { 124, 252,   0 }, // "lawn green"
    {  34, 139,  34 }, // "forest green"
    { 107, 142,  35 }, // "olive drab"

    {  64, 224, 208 }, // "turquoise"
    { 127, 255, 212 }, // "aquamarine 1"
    { 102, 205, 170 }, // "aquamarine 3"
    {  69, 139, 116 }, // "aquamarine 4"
    { 128, 255, 255 }, // "middle cyan"
    {   0, 255, 255 }, // "cyan"
    { 135, 206, 235 }, // "sky blue"
    {   0, 191, 255 }, // "deep sky blue 1"
    {   0, 178, 238 }, // "deep sky blue 2"
    { 128, 128, 255 }, // "middle blue"

    {  65, 105, 225 }, // "royal blue"
    {   0,   0, 255 }, // "blue"
    { 255, 182, 193 }, // "light pink"
    { 255, 105, 180 }, // "hot pink"
    { 255,  20, 147 }, // "deep pink"
    { 255, 128, 255 }, // "light magenta"
    { 255,   0, 255 }, // "magenta"
    { 238, 130, 238 }, // "violet"
    { 140,   0, 211 }, // "dark violet"

    { 229, 229, 229 }, // "grey 90"
    { 190, 190, 190 }, // "grey"
    { 127, 127, 127 }, // "grey 50"
    {   0,   0,   0 }, // "black"
  };

  /** Method getRGB()
   *  <p> This method will retrieve the RGB value of the
   *  @param  iRow = The Row Color
   *  @return RGB  = array of Red, Green, Blue Values
   */

  public static int[] getRGB( int iRow )
  {
	int RGB[] = { 255, 255, 255 };

    for (int i=0; i<TOTAL; i++)
    {
      if (i==iRow)
      {
	    RGB[0] = COLORS[i][0];  // Red
	    RGB[1] = COLORS[i][1];  // Green
	    RGB[2] = COLORS[i][2];  // Blue
	  }
	}

    if (iRow >= TOTAL)
    {
      RGB[0] = COLORS[TOTAL-1][0];  // Red
	  RGB[1] = COLORS[TOTAL-1][1];  // Green
	  RGB[2] = COLORS[TOTAL-1][2];  // Blue
	}

	return (RGB);
  }

  /** Method getSymbol()
   *  <p> This method will retrieve the Symbol by the row value
   *  @param  iRow   = The Row Value
   *  @return symbol = symbol identifier
   */

  public static int getSymbol( int iRow )
  {
    int symbol = iRow ;

    while (iRow > 4)
    {
	  iRow   = iRow - 5;
	  symbol = iRow;
	}

	if (symbol < 0)
    {
	  symbol = OVAL;
    }

    return (symbol);
  }
}

/*
 *  @version 1.1 11/20/2015
 *  @author  John Victorine
 */
